"""
This program has been developed by students from the bachelor Computer Science at Utrecht
University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""

from control_backend.schemas.message import Message


def base_message() -> Message:
    return Message(message="Example")


def test_valid_message():
    mess = base_message()
    validated = Message.model_validate(mess)
    assert isinstance(validated, Message)
    assert validated.message == "Example"
